Summary:	Data recovery tool
Name:		ddrescue
Version:	1.21
Release:	%mkrel 1
License:	GPLv3+
Group:		System/Kernel and hardware
Source0:	http://ftp.gnu.org/gnu/ddrescue/%{name}-%{version}.tar.lz
URL:		http://www.gnu.org/software/ddrescue/ddrescue.html
BuildRequires:	lzip
Requires(post): info-install
Requires(preun): info-install

%description
GNU ddrescue is a data recovery tool. It copies data from one file or block
device (hard disc, cdrom, etc) to another, trying hard to rescue data in
case of read errors.

Ddrescue does not truncate the output file if not asked to. So, every time
you run it on the same output file, it tries to fill in the gaps.

The basic operation of ddrescue is fully automatic. That is, you don't have
to wait for an error, stop the program, read the log, run it in reverse mode.

If you use the logfile feature of ddrescue, the data is rescued very
efficiently (only the needed blocks are read). Also you can interrupt the
rescue at any time and resume it later at the same point.

Automatic merging of backups: If you have two or more damaged copies of a file,
cdrom, etc, and run ddrescue on all of them, one at a time, with the same
output file, you will probably obtain a complete and error-free file. This is
so because the probability of having damaged areas at the same places on
different input files is very low. Using the logfile, only the needed blocks
are read from the second and successive copies.

The logfile is periodically saved to disc. So in case of a crash you can
resume the rescue with little recopying.

Also, the same logfile can be used for multiple commands that copy different
areas of the file, and for multiple recovery attempts over different subsets.

Ddrescue aligns its I/O buffer to the sector size so that it can be used to
read from raw devices. For efficiency reasons, also aligns it to the memory
page size if page size is a multiple of sector size.

%prep
%setup -q

%build
%configure2_5x CXXFLAGS="%{optflags}" LDFLAGS="%{?ldflags}"
%make

%install
%makeinstall_std

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}*
%{_infodir}/%{name}.info*
%{_mandir}/man1/%{name}*.1*


%changelog
* Sat Nov 12 2016 akien <akien> 1.21-1.mga6
+ Revision: 1066793
- Version 1.21

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Dec 10 2015 doktor5000 <doktor5000> 1.20-1.mga6
+ Revision: 909305
- new version 1.20

* Wed Oct 15 2014 umeabot <umeabot> 1.18.1-3.mga5
+ Revision: 748382
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.18.1-2.mga5
+ Revision: 678699
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 akien <akien> 1.18.1-1.mga5
+ Revision: 667091
- Version 1.18.1

* Sat Oct 19 2013 umeabot <umeabot> 1.17-2.mga4
+ Revision: 530755
- Mageia 4 Mass Rebuild

* Sun Jul 28 2013 dams <dams> 1.17-1.mga4
+ Revision: 459650
- new version 1.17

* Fri Jan 11 2013 umeabot <umeabot> 1.16-2.mga3
+ Revision: 348710
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 19 2012 fwang <fwang> 1.16-1.mga3
+ Revision: 261861
- new version 1.16

* Mon Jun 11 2012 dams <dams> 1.15-1.mga3
+ Revision: 259833
- new version 1.15

* Fri Jun 17 2011 kharec <kharec> 1.14-1.mga2
+ Revision: 109220
- new version

* Sun May 08 2011 nanardon <nanardon> 1.13-1.mga1
+ Revision: 96352
- imported package ddrescue

